package org.eclipse.wtp.releng.tools;

import java.net.URISyntaxException;

import org.eclipse.equinox.app.IApplication;
import org.eclipse.equinox.app.IApplicationContext;
import org.eclipse.equinox.p2.core.ProvisionException;

public class AddMirrorsURLApplication implements IApplication {

    public Object start(IApplicationContext context) throws Exception {
        Object result = null;
        try {
            new AddMirrorsURL().rewriteMirrorURL();
            result = IApplication.EXIT_OK;
        }
        catch (ProvisionException e) {
            result = e.getMessage();
        }
        catch (URISyntaxException e) {
            result = e.getMessage();
        }
        return result;
    }

    public void stop() {

    }

}
